# Bootstrap v4.x.x Right To Left (rtl)
Right To Left edition of Bootstrap version 4.x.x for Persian and Arabic languages.

## Currently
v4.3.1

## How to install ?
```
$ git clone https://github.com/MohammadYazdian/bootstrap-v4-rtl.git
```

or

```
$ npm install @mohammadyazdian/bootstrap-v4-rtl
```

## How to use ?
To use Bootstrap you just need to attach JavaScript and CSS files: <br />

css
```
<link rel="stylesheet" href="dist/css/bootstrap-rtl.min.css" />
```

js
```
<script src="dist/js/jquery.min.js"></script>
<script src="dist/js/popper.min.js"></script>
<script src="dist/js/bootstrap-rtl.min.js"></script>
```

## Starter template
Be sure to have your pages set up with the latest design and development standards. That means using an HTML5 doctype and including a viewport meta tag for proper responsive behaviors. Put it all together and your pages should look like this:

```
<!doctype html>
<html lang="fa">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="dist/css/bootstrap-rtl.min.css" />

    <title>Hello, world!</title>
  </head>
  <body>
    <h1>Hello, world!</h1>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap-rtl JS -->
    <script src="dist/js/jquery.min.js"></script>
    <script src="dist/js/popper.min.js"></script>
    <script src="dist/js/bootstrap-rtl.min.js"></script>
  </body>
</html>
```

## Bootstrap-rtl source code
The Bootstrap-rtl source code download includes the precompiled CSS and JavaScript assets, along with source Sass and JavaScript. More specifically, it includes the following and more:

```
bootstrap-rtl/
├── dist/
│   ├── css/
│   └── js/
├── js/
└── scss/
```
The scss/ and js/ are the source code for our CSS and JavaScript. The dist/ folder includes everything listed in the precompiled download section above. Beyond that, any other included file provides support for packages, license information, and development.